Loading...
Searching...
No Matches
HalideRuntimeQurt.h File Reference

Routines specific to the Halide QuRT runtime. More...

`#include "HalideRuntime.h"`

Go to the source code of this file.

## Functions

int | halide_qurt_hvx_lock (void *user_context)
| Lock and unlock an HVX context.
int | halide_qurt_hvx_unlock (void *user_context)
void | halide_qurt_hvx_unlock_as_destructor (void *user_context, void *)

## Detailed Description

Routines specific to the Halide QuRT runtime.

Definition in file HalideRuntimeQurt.h.

## Function Documentation

## halide_qurt_hvx_lock()

int halide_qurt_hvx_lock | ( | void * | user_context | ) |

extern

Lock and unlock an HVX context.

A successful call to hvx_lock must be followed by a call to hvx_unlock.

## halide_qurt_hvx_unlock()

int halide_qurt_hvx_unlock | ( | void * | user_context | ) |

extern

## halide_qurt_hvx_unlock_as_destructor()

void halide_qurt_hvx_unlock_as_destructor | ( | void * | user_context,
|  | void * | )

extern